%define release_name Parsidora
%define dist_version 18

Summary:	Parsidora release files
Name:		parsidora-release
Version:	18
Release:	2
License:	GPLv2
Group:		System Environment/Base
URL:		http://parsidora.org
Source0:	http://downloads.sourceforge.net/parsidora/%{name}-%{version}.tar.bz2
Obsoletes:	redhat-release
Obsoletes:	fedora-release-rawhide < %{version}-%{release}
Provides:	redhat-release
Provides:	system-release = %{version}-%{release}
Provides:	fedora-release = %{version}-1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Conflicts:	generic-release

%description
Parsidora release files such as yum configs and various /etc/ files that
define the release.

%package rawhide
Summary:	Rawhide repo definitions
Requires:	parsidora-release = %{version}-%{release}
Provides:	fedora-release-rawhide = %{version}-1
Conflicts:	generic-release-rawhide

%description rawhide
This package provides the rawhide repo definitions.

%package notes
Summary:	Release Notes
License:	Open Publication
Group:		System Environment/Base
Provides:	system-release-notes = %{version}-%{release}
Conflicts:	fedora-release-notes
Conflicts:	generic-release-notes

%description notes
Parsidora release notes package.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "Parsidora release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/fedora-release
echo "cpe:/o:parsidora:parsidora:%{version}" > $RPM_BUILD_ROOT/etc/system-release-cpe
cp -p $RPM_BUILD_ROOT/etc/fedora-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m (\l)" >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release

cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME=Parsidora
VERSION="%{version} (%{release_name})"
ID=parsidora
VERSION_ID=%{version}
PRETTY_NAME="Parsidora %{version} (%{release_name})"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:parsidora:parsidora:%{version}"
EOF

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Install all the keys, link the primary keys to primary arch files
# and to compat generic location
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for arch in i386 x86_64
  do
  ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora-$arch
  ln -s RPM-GPG-KEY-parsidora-%{dist_version}-primary RPM-GPG-KEY-parsidora-$arch
done
ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora
ln -s RPM-GPG-KEY-parsidora-%{dist_version}-primary RPM-GPG-KEY-parsidora
for arch in arm armhfp arm64 ppc ppc64 s390 s390x sparc sparc64
  do
  ln -s RPM-GPG-KEY-fedora-%{dist_version}-secondary RPM-GPG-KEY-fedora-$arch
done
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in fedora*repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

for file in parsidora*repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

install -d -m 755 $RPM_BUILD_ROOT/etc/profile.d
install -m 644 parsidora-yum.sh $RPM_BUILD_ROOT/etc/profile.d/

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fedora		%{dist_version}
%%dist		.fc%{dist_version}
%%fc%{dist_version}		1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/os-release
%config %attr(0644,root,root) /etc/fedora-release
/etc/redhat-release
/etc/system-release
%config %attr(0644,root,root) /etc/system-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/fedora.repo
%config(noreplace) /etc/yum.repos.d/fedora-updates*.repo
%config(noreplace) /etc/yum.repos.d/parsidora*.repo
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config %attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/profile.d/*

%files notes
%defattr(-,root,root,-)
%doc README.Parsidora-Release-Notes

%files rawhide
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/fedora-rawhide.repo

%changelog
* Sun May 12 2013 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 18-2
- Updated for Parsidora 18, use new DVD label

* Wed Aug 29 2012 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 17-1
- Updated for parsidora 17

* Sat Dec 31 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 16-2
- Replaced parsidora gpg key with the correct one

* Tue Dec 20 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 16-1
- Updated to 16

* Mon Oct 17 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15-4
- Do not explicitly conflict fedora-release and fedora-release-rawhide

* Mon Oct 17 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15-3
- Provide fedora-release and fedora-release-rawhide too

* Mon Aug 29 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15-2
- Change the order of repo urls to favor sf.net's repo

* Fri Jul 22 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15-1
- Updated for Parsidora 15

* Tue Jan 04 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 14-2
- Lower case parsidora repository name
- Added country option to fedora repository URLS
- Changed the URL of Parsidora repo
- Fixed Source URL

* Fri Nov 19 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> 14-1
- Updated for 14 release
- Disabled DVD repo by default, since PK support DVD repos itself
- Grab changes from generic-release-14-1 package
- Added parsidora.repo
- Added rpm sign key for parsidora repo

* Mon Jul 05 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> 13-1
- Changed the version to 13 instead of 13.0
- Enabled DVD repo by default

* Fri Jul 02 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> 13.0-2
- Added parsidora-dvd.repo to the package!

* Sat May 15 2010 Hedayat Vatankhah <hedayat@grad.com> 13.0-1
- Updated for Fedora 13 based release

* Tue Jan 26 2010 Hedayat Vatankhah <hedayat@grad.com> 12.0-1
- Initial package for parsidora-release and parsidora-release-notes, forked
  from generic packages

